- Home
- API Enriched
- Shape
- shape
- Top Malicious Bot Automation Types.
Top Malicious Bot Automation Types.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/reporting/top/malicious/automation';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"attack_type":"example","end_time":"example","filters":{"action_taken":{"actions_taken":["example"],"op":"IN"},"app_id_filter":{"app_id_strings":["example"],"op":"IN"},"application_name":{"application_names":["example"],"op":"IN"},"as_org_filter":{"as_orgs":["example"],"op":"IN"},"attack_intent_filter":{"attack_intent_strings":["example"],"op":"IN"},"automation_type_filter":{"automation_type_strings":["example"],"op":"IN"},"browser_filter":{"browser_strings":["example"],"op":"IN"},"country_filter":{"country_strings":["example"],"op":"IN"},"host_filter":{"host_strings":["example"],"op":"IN"},"inference_filter":{"inference_strings":["example"],"op":"IN"},"ip_filter":{"ips":["example"],"op":"IN"},"method_filter":{"method_strings":["example"],"op":"IN"},"os_filter":{"op":"IN","os_strings":["example"]},"referer_filter":{"op":"IN","referer_strings":["example"]},"region_filter":"US","traffic_type_filter":{"op":"IN","traffic_type_strings":["example"]},"ua_filter":{"op":"IN","ua_strings":["example"]},"uri_filter":{"op":"IN","uri_strings":["example"]}},"limit":1,"namespace":"example","start_time":"example","virtual_host":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/reporting/top/malicious/automation \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "attack_type": "example", "end_time": "example", "filters": { "action_taken": { "actions_taken": [ "example" ], "op": "IN" }, "app_id_filter": { "app_id_strings": [ "example" ], "op": "IN" }, "application_name": { "application_names": [ "example" ], "op": "IN" }, "as_org_filter": { "as_orgs": [ "example" ], "op": "IN" }, "attack_intent_filter": { "attack_intent_strings": [ "example" ], "op": "IN" }, "automation_type_filter": { "automation_type_strings": [ "example" ], "op": "IN" }, "browser_filter": { "browser_strings": [ "example" ], "op": "IN" }, "country_filter": { "country_strings": [ "example" ], "op": "IN" }, "host_filter": { "host_strings": [ "example" ], "op": "IN" }, "inference_filter": { "inference_strings": [ "example" ], "op": "IN" }, "ip_filter": { "ips": [ "example" ], "op": "IN" }, "method_filter": { "method_strings": [ "example" ], "op": "IN" }, "os_filter": { "op": "IN", "os_strings": [ "example" ] }, "referer_filter": { "op": "IN", "referer_strings": [ "example" ] }, "region_filter": "US", "traffic_type_filter": { "op": "IN", "traffic_type_strings": [ "example" ] }, "ua_filter": { "op": "IN", "ua_strings": [ "example" ] }, "uri_filter": { "op": "IN", "uri_strings": [ "example" ] } }, "limit": 1, "namespace": "example", "start_time": "example", "virtual_host": "example" }'GET top malicious bots automation types.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace
x-required namespace is used to scope traffic overview query. Only virtual_host in given namespace will be considered.
Request Bodyrequired
Section titled “Request Bodyrequired”Request for top malicious bots.
object
Optional: this is the query parameter for top source of attack types Used in TopTafficEventsByIP.
End time of traffic overview query period Format: unix_timestamp|RFC 3339
Optional: If not specified, then the end_time will be evaluated to start_time+10m
If start_time is not specified, then the end_time will be evaluated to
object
object
A list of strings Required: YES.
object
An unordered list of App ID strings Required: YES.
object
A list of strings Required: YES.
object
An unordered list of as org strings Required: YES.
object
An list of strings Required: YES.
object
An list of strings Required: YES.
object
An list of strings Required: YES.
object
An list of strings Required: YES.
object
An list of strings Required: YES.
object
An list of strings Required: YES.
object
An unordered list of IPv4 addresses Required: YES.
object
An list of strings Required: YES.
object
An list of strings Required: YES.
object
An list of strings Required: YES.
object
An list of strings Required: YES.
object
An unordered list of user agent strings Required: YES.
object
An list of strings Required: YES.
Number of top malicious bots to query Optional: if not specified, the query will include top 10 malicious bots.
Namespace is used to scope traffic overview query. Only virtual_host in given namespace will be considered. Required: YES.
Start time of traffic overview query period Format: unix_timestamp|RFC 3339
Optional: If not specified, then the start_time will be evaluated to end_time-10m
If end_time is not specified, then the start_time will be evaluated to
Name of Virtual Host to scope traffic overview query Required: YES.
Responses
Section titled “Responses”A successful response.
Response for top malicious bot automation types.
object
Top malicious bot automation types.
Malicious bot automation type.
object
Malicious Bot Automation Type.
Previous Request Count.
Number of requests with the specified automation type.
Request Percentage.
Request Sentiment.
Configuration parameter for trend
Examplegenerated
{ "automation_types": [ { "automation_type": "example", "previous_reqeust_count": "example", "request_count": "example", "request_percentage": 1, "request_sentiment": "example", "trend": 1 } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example